MONGOSTAT(1)

NAME
mongostat - view statistics on a running mongod instance

SYNOPSIS
mongostat [OPTIONS] [SLEEP TIME]

DESCRIPTION

mongostat prints statistics on a running mongod instance. [SLEEP TIME] is time to wait (in seconds) between calls to servers

OPTIONS

--help
    produce help message

--version
    show version information

-v, --verbose
    be more verbose (include multiple times for more verbosity e.g. -vvvvv)

-h, --host arg
    mongo host to connect to ( <set name>/s1,s2 for sets)

--port arg
    server port. Can also use --host hostname:port

--ipv6
    enable IPv6 support (disabled by default)

-u, --username arg
    username

-p, --password arg
    password

--noheaders
    don't output column names

-n, --rowcount arg
    number of stats lines to print (0 for indefinite)

--http
    use http instead of raw db connection

--discover
    discover nodes and display stats for all

--all
    all optional fields

FIELDS

inserts
    # of inserts per second

query
    # of queries per second

update
    # of updates per second

delete
    # of deletes per second

getmore
    # of get mores (cursor batch) per second

command
    # of commands per second

flushes
    # of fsync flushes per second

mapped
    amount of data mmaped (total data size) megabytes

visze
    virtual size of process in megabytes

res resident size of process in megabytes

faults
    # of pages faults per sec (linux only)

locked
    percent of time in global write lock

idx percent of btree page misses (sampled)

qr  queue lengths for clients waiting (read|write)

ar  active clients (read|write)

netIn
    network traffic in - bits

netOut
    network traffic out - bits

conn
    number of open connections

COPYRIGHT

Copyright 2011 10gen

SEE ALSO
For more information, please refer to the MongoDB wiki, available at http://www.mongodb.org.

AUTHOR
Eliot Horowitz